/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Alessandro Pozzi <signor.hyde@gmail.com>
 */

import QtQuick 2.0
import "../common/Constants.js" as Constants

Rectangle {
    id: hand

    property alias rotationAngle: handRotation.angle
    property real widthhand: units.gu(1)
    property real heighthand: units.gu(17)
    property string colorhand: Constants.brightWhite
    property real heighttop: units.gu(5)
    property string colortop: Constants.ubuntuOrange

    width: widthhand
    height: heighthand

    x: (parent.width / 2) - widthhand / 2
    y: (parent.height / 2) - heighthand

    color: colorhand
    radius: units.gu(1)
    antialiasing: true

    Rectangle {
        width: widthhand
        height: heighttop

        color: colortop
        radius: units.gu(1)
        antialiasing: true
    }

    transform: Rotation {
        id: handRotation

        origin.x: hand.width / 2
        origin.y: hand.height

        Behavior on angle {
            SpringAnimation { spring: 0.9; damping: 0.2; modulus: 360 }
        }
    }
}
