/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Alessandro Pozzi <signor.hyde@gmail.com>
 */

Qt.include("../common/ClockUtils.js")

var hours = 0;
var minutes = 0;
var seconds = 0;
var decimal = 0;
var hourslap = 0;
var minuteslap = 0;
var secondslap = 0;
var decimallap = 0;
var viewtime = "";
var viewtimelap = "";
var viewcountlap = "";
var laps = new Array();

function increaseDecimal() {
    decimal += 1;
    stopwatchPage.decimals = decimal;
    decimallap += 1;
    if (decimal > 9) {
        decimal = 0;
        seconds += 1;
    }
    if (decimallap > 9) {
        decimallap = 0;
        secondslap += 1;
    }
    if (seconds > 59) {
        seconds = 0;
        minutes += 1;
    }
    stopwatchPage.seconds = seconds;
    if (secondslap > 59) {
        secondslap = 0;
        minuteslap += 1;
    }
    if (minutes > 59) {
        minutes = 0;
        hours += 1;
    }
    stopwatchPage.minutes = minutes;
    if (minuteslap > 59) {
        minuteslap = 0;
        hourslap += 1;
    }
    viewtime = zeroleft(hours, 2) + ":" +  zeroleft(minutes, 2) + ":" +  zeroleft(seconds, 2);
    viewtimelap = zeroleft(hourslap, 2) + ":" +  zeroleft(minuteslap, 2) + ":" +  zeroleft(secondslap, 2) + "." + decimallap;
    labelStopwatch.text = i18n.tr(viewtime);
    timelap = i18n.tr(viewtimelap);
}

function lap() {
    if (stopwatchTimer.running == true) {
        countlap += 1;
        viewcountlap = zeroleft(countlap, 3);
        laps[countlap-1] = viewtimelap;
        hourslap = 0;
        minuteslap = 0;
        secondslap = 0;
        decimallap = 0;
    }
}

function laplist() {
    return laps.reverse();
}

function reset() {
    if (stopwatchTimer.running == false) {
        hours = 0;
        minutes = 0;
        seconds = 0;
        decimal = 0;
        hourslap = 0;
        minuteslap = 0;
        secondslap = 0;
        decimallap = 0;
        countlap = 0;
        labelStopwatch.text = i18n.tr("00:00:00");
        labelNumberLap1.text = i18n.tr("0");
        labelNumberLap2.text = i18n.tr("0");
        stopwatchPage.seconds = 0;
        stopwatchPage.minutes = 0;
        stopwatchPage.decimals = 0;
        circleMinutes.state = "NORMAL";
        laps = new Array();
        timelap = i18n.tr("00:00:00.0");
    }
}
