/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Alessandro Pozzi <signor.hyde@gmail.com>
 *              Nekhelesh Ramananthan <krnekhelesh@gmail.com>
 */

Qt.include("../common/ClockUtils.js")
Qt.include("../common/Constants.js")

// Function to calculate the hours, minutes and seconds from the total time
function setlabelTimer(sec) {
    var hor = parseInt(sec / 3600);
    var change = sec - (hor * 3600);
    var min = parseInt(change / 60);
    change = change - (min * 60);

    timerPage.hours = hor;
    timerPage.minutes = min;
    timerPage.seconds = change;

    hourslabelTimer.text = zeroleft(hor, 2);
    minuteslabelTimer.text = zeroleft(min, 2);
    secondslabelTimer.text = zeroleft(change, 2);
}

// Countdown timer function
function countDown() {
    if (timerPage.totalTime > 0) {
        timerPage.totalTime--;
        setlabelTimer(timerPage.totalTime);
    } else {
        buttonTimer.state = "DONE";
        timerPage.timerOn = false;
    }
}

// Function to adjust timer properties before starting timer.
function prepareStartTimer() {
    timerPage.totalTime = (timerPage.hours * 60 * 60) + (timerPage.minutes * 60) + timerPage.seconds;

    secondslabelTimer.color = Constants.pitchBlack
    minuteslabelTimer.color = Constants.pitchBlack
    hourslabelTimer.color = Constants.pitchBlack

    colonTimer1.color = Constants.pitchBlack
    colonTimer2.color = Constants.pitchBlack
}

// Restore timer to its original state
function resetAll() {
    hourslabelTimer.text = "00";
    hourslabelTimer.color = normalGrey;
    hourslabelTimer.flag = false;

    minuteslabelTimer.text = "00";
    minuteslabelTimer.color = normalGrey;
    minuteslabelTimer.flag = false;

    secondslabelTimer.text = "00";
    secondslabelTimer.color = normalGrey;
    secondslabelTimer.flag = false;

    colonTimer1.color = normalGrey;
    colonTimer2.color = normalGrey;

    timerPage.hours = 0;
    timerPage.minutes = 0;
    timerPage.seconds = 0;

    timerPage.timerOn = false;
    timerHand.rotationAngle = 0;
    buttonTimer.state = "PRESETS"
}
